Doc.querySelector("#List_Clientes").addEventListener("change", (e) => {
  let Permiso_ = Doc.querySelector("#Permiso");
  let Pan_Folios_ = Doc.querySelector("#Pan_Folios");
  let AGL_ = Doc.querySelector("#List_Clientes");
  Permiso_.style.display = "block";
  let Datos_ = new FormData();
  Datos_.append("Opc", 3);
  Datos_.append("AGL", AGL_.value);
  fetch("Js/Operaciones.php", {
    method: "POST",
    body: Datos_,
  })
    .then((res) => (res.ok ? res.json() : Promise.reject(res)))
    .then((json) => {
      Permiso.style.display = "block";
      Permiso.innerHTML = `Total de Folios: ${json.TotFol},<br> Folios sin Usar: ${json.SinUso},<br>  Folios Usados: ${json.Usados},<br> Archivos Integrados: ${json.Usados} <br>`;
      if (json.Autorizado == 1) {
        Pan_Folios_.style.display = "block";
      } else {
        Pan_Folios_.style.display = "none";
        Permiso.innerHTML += `Favor de solicitar autorización para asignación de blocks<br>= ${json.Nombre} =`;
      }
    })
    .catch((err) => {
      console.log("ERROR: " + err);
    });
});
